<html>

<head>
    <title>Heartland Media</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/hls.js@latest"></script>
    <link rel="stylesheet" href="./assets/css/style.css">
    <script>
        function loaded() {
            
            var video = document.getElementById("videoPlayer"), track;
            if (Hls.isSupported()) {
                var hls = new Hls();
                hls.loadSource('https://fuel-streaming-prod01.fuelmedia.io/v1/sem/40f15d3b-689f-48a5-9c61-a4f9583ed619.m3u8');
                hls.attachMedia(video);
                hls.on(Hls.Events.MANIFEST_PARSED, function () {
                    video.play();
                    console.log(); 
                });
            }
            // video.addEventListener("loadedmetadata", function () {
            //     track = document.createElement("track");
            //     track.kind = "captions";
            //     track.label = "English";
            //     track.srclang = "en";
            //     track.src = "/captions";
            //     track.setAttribute("default", "default");
            //     track.addEventListener("load", function () {
            //         this.mode = "showing";
            //         video.textTracks[0].mode = "showing";
            //     });
            //     this.appendChild(track);
            // });
            $(document).ready(function () {
                var aud = document.getElementById("videoPlayer");
                aud.onended = function () {
                    // alert("The audio has ended");
                };
                $("#videoPlayer").on(
                    "timeupdate",
                    function (event) {
                        onTrackedVideoFrame(this.currentTime, this.duration);
                    });
            });

            function onTrackedVideoFrame(currentTime, duration) {
                console.log("currentTime", currentTime);
                console.log("duration", duration);
                // $("#current").text(currentTime); //Change #current to currentTime
                // $("#duration").text(duration)
            }
        }
    </script>
</head>

<body onload="loaded()">
    <nav class="navborder navbar navbar-expand-md fixed-top navbar-light bg-light">
        <div class="container">
            <a class="navbar-brand" href="/"><img class="img-fluid" src="./assets/images/logo.png"></a>
            <button class="navbar-toggler p-0 border-0" type="button" data-toggle="offcanvas">
                <span class="navbar-toggler-icon"></span>
            </button>
        </div>
    </nav>
    <div class="videoElement">
        <video id="videoPlayer" width="820" controls muted="muted" autoplay>
            <!-- <source src="http://localhost:3000/video" type="video/mp4"> -->
            <!-- <source src="public/assets/test.m3u8" type="application/x-mpegURL"> -->
        </video>
    </div>
</body>

</html>